# -*- coding: utf-8 -*-
from item import *

# --------- S--------------
vampire_fangs = Passive(
    name = JTxt('Vampire Fangs','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['Althogh beeing a human ','seems that they work with you, ',"but not at it\\'s fullest.",'\\n']),
        JPar(['(Heal 5% of the dealt damage.)','\\n'], italic=True) ]),
    model = '2101',
    rank = 's',
    stats = Stats([ Stat('curse', 2.25) ]),
    custom_on = True
    )
soul_bag = Passive(
    name = JTxt('Soul Bag','red', True, underlined = True),
    lore = Lore([
        JPar(['Who it hold the Soul Bag becomes the ','embodiment of the sin Greed, and his, ','quench for souls never ends.','\\n']) ]),
    model = '2102',
    rank = 's',
    stats = Stats([ Stat('curse', 2), Stat('kills_capacity', -4 ) ])
    )
overlord_insignia = Passive(
    name = JTxt('Overlord Insignia','gold', True, underlined = True),
    lore = Lore([
        JPar(['Owned by the overlord of Nazarik, ','infuzed with zelenium, this insignia ','still holds the power to be above all. ','\\n']),
        JPar(['(enemies have permanent weakness)','\\n'], italic=True) ]),
    model = '2103',
    rank = 's',
    stats = Stats([ Stat('curse', 1.75) ])
    )
mana_extractor = Passive(
    name = JTxt('Mana Extractor','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['Final exctactor developed by Tulip. ','Unlike the prototype, the final version ',"is able to mage the waste and even ",'extract some more.','\\n']),
        JPar(['(Upon kill get 5 mana, upon max kills get 5 more.)','\\n'], italic=True) ]),
    model = '2104',
    rank = 's'
    )
pandoras_pouch = Passive(
    name = JTxt("Pandora\\'s Pouch",'dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['Unlike the box, this pouch','contains both good and evil.','\\n']),
        JPar(["(After completing a room get a \\'reward\\'.)",'\\n'], italic=True) ]),
    model = '2105',
    rank = 's',
    stats = Stats([ Stat('curse', 2) ])
    )
pool_of_mana = Passive(
    name = JTxt('Pool of Mana','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['You can feel the mana ','flowing inside you.','\\n']) ]),
    model = '2106',
    rank = 's',
    stats = Stats([ Stat('mana_speed', 2) ])
    )
boxing_gloves = Passive(
    name = JTxt('Boxing Gloves','red', True, underlined = True),
    lore = Lore([
        JPar(['They seem to weigth more than usual. ','You can see a label attached, it ',"reads: \\'confiscated ilegal gloves\\'.",'\\n']) ]),
    model = '2107',
    rank = 's',
    stats = Stats([ Stat('dmg', 4) ])
    )
stick_of_power = Passive(
    name = JTxt('Stick Of Power','gray', True, underlined = True),
    lore = Lore([
        JPar(['This is some lore','\\n']) ]),
    model = '2108',
    rank = 's',
    stats = Stats([
        Stat('hp', 0.5), Stat('dmg', 0.5), Stat('speed', 0.003), Stat('attack_speed', 0.3), Stat('armor', .5), Stat('armor_thoughness', .25), Stat('knock_resist', .5),
        Stat('mana_capacity', 5), Stat('mana_speed', 1), Stat('mana_cost', -5), Stat('kills_capacity', -2), Stat('luck', 10), Stat('curse', 6)
        ])
    )
boss_medallion_i = Passive(
    name = JTxt('Boss Medallion I','gold', True, underlined = True),
    lore = Lore([
        JPar(['Not evey human can achieve this feat.','\\n']) ]),
    model = '2109',
    rank = 's',
    stats = Stats([ Stat('dmg', 2), Stat('hp', 2), Stat('speed', 0.005) ]),
    holder = False
    )
boss_medallion_ii = Passive(
    name = JTxt('Boss Medallion II','gold', True, underlined = True),
    lore = Lore([
        JPar(['Not evey human can achieve this feat.','\\n']) ]),
    model = '2110',
    rank = 's',
    stats = Stats([ Stat('dmg', 2), Stat('hp', 2), Stat('speed', 0.005) ]),
    holder = False
    )
boss_medallion_iii = Passive(
    name = JTxt('Boss Medallion III','gold', True, underlined = True),
    lore = Lore([
        JPar(['Not evey human can achieve this feat.','\\n']) ]),
    model = '2111',
    rank = 's',
    stats = Stats([ Stat('dmg', 2), Stat('hp', 2), Stat('speed', 0.005) ]),
    holder = False
    )

s = [boxing_gloves, mana_extractor, vampire_fangs, soul_bag, pool_of_mana, pandoras_pouch, overlord_insignia, stick_of_power, boss_medallion_i,boss_medallion_ii, boss_medallion_iii]

# -------- A ----------
devils_book = Passive(
    name = JTxt("Devil\\'s Book",'dark_red', True, underlined = True),
    lore = Lore([
        JPar(['Every necromancer has this book, still ',"it\\'s usefull for every kind of magic.",'\\n']) ]),
    model = '2201',
    rank = 'a',
    stats = Stats([ Stat('curse', 1.25), Stat('mana_capacity', 15), Stat('mana_cost', -10) ])
    )
mana_barrel = Passive(
    name = JTxt('Mana Barrel','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['A simple but very effective way to store ','mana. Invented by One-One, the assistant ','of Tulip as a method to store the mana ','from the Mana extractor.','\\n']) ]),
    model = '2202',
    rank = 'a',
    stats = Stats([ Stat('mana_capacity', 25) ])
    )
rat_boots = Passive(
    name = JTxt('Rat Boots','gold', True, underlined = True),
    lore = Lore([
        JPar(["\\'Property of  the Resourceful Rat.\\'",'\\n']),
        JPar(['(Temporally get glass if under ','your feet if on the void.)','\\n'], italic = True) ]),
    model = '2203',
    rank = 'a'
    )
pure_rage = Passive(
    name = JTxt('Pure Rage','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['One of the most precious tresures of ','the Cult of Warth. Given by the own ','Warth itself, this power was infused in ','a ruby in order to make it usable.','\\n']),
        JPar(['(Upon max kills get 10s of strenght.)','\\n'], italic = True) ]),
    model = '2204',
    rank = 'a',
    stats = Stats([ Stat('curse', 0.75) ])
    )
sharpening_stone = Passive(
    name = JTxt('Sharpening Stone','gray', True, underlined = True),
    lore = Lore([
        JPar(['A stone that was mined ','from a dark stone golem.','\\n']) ]),
    model = '2205',
    rank = 'a',
    stats = Stats([ Stat('curse', 0.75), Stat('dmg', 2.5) ])
    )
void_beast = Passive(
    name = JTxt('Void Beast','dark_purple', True, underlined = True),
    lore = Lore([
        JPar(['Absent of soul, this creatures ','from the other side only leave ','decay where they go.','\\n']),
        JPar(['(At the start of a room marks an ','enemy. If left last, the beast kills it.)','\\n'], italic = True) ]),
    model = '2206',
    rank = 'a',
    stats = Stats([ Stat('curse', 1) ])
    )
flying_daggers = Passive(
    name = JTxt('Flying Daggers','gray', True, underlined = True),
    lore = Lore([
        JPar(['Juggling with daggers might be fun, but ',"don\\'t cut someone in the process.",'\\n']),
        JPar(['(Upon kill get a orbitiong dagger that does ','2HP of DMG. Upon max kills get a 6 HP instend.)','\\n'], italic = True) ]),
    model = '2207',
    rank = 'a',
    custom_on = True,
    custom_off = True
    )
holy_book = Passive(
    name = JTxt("Holy Book",'gold', True, underlined = True),
    lore = Lore([
        JPar(['With this book you can can','bless you weapons.','\\n']),
        JPar(['(All weapons have Purify.)','\\n'], italic = True) ]),
    model = '2208',
    rank = 'a',
    stats = Stats([ Stat('curse', 0.75) ])
    )

a = [devils_book, mana_barrel, rat_boots, pure_rage, sharpening_stone, void_beast, flying_daggers, holy_book]

# -------- B ----------
seven_leaf_clover = Passive(
    name = JTxt('Seven Leaf Clover','dark_green', True, underlined = True),
    lore = Lore([
        JPar(["Whow!!! You\\'re a lucky one. ",'And now will be even more!!!','\\n']) ]),
    model = '2301',
    rank = 'b',
    stats = Stats([ Stat('luck', 40) ])
    )
mana_extractor_prototype = Passive(
    name = JTxt('Mana Extractor (prototype)','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(["Famous inventress Tulip developed the technology ",'that allows the holder to extract mana from ','the death. Although this prototype has some ','issues handeling the waste.','\\n']),
        JPar(['(Upon kill get 5 mana, upon max kills lose 30 more.)','\\n'], italic = True) ]),
    model = '2302',
    rank = 'b'
    )
armor_nanobots = Passive(
    name = JTxt('Armor Nanobots','gray', True, underlined = True),
    lore = Lore([
        JPar(['This tinny bots copy a quality of a ','living beeing that transforms death ','organinc mater into a shelllike material. ','\\n']),
        JPar(['(Upon max kill get absortion 2 for 45s.)','\\n'], italic = True) ]),
    model = '2303',
    rank = 'b'
    )
zelenium_ore = Passive(
    name = JTxt('Zelenium Ore','gold', True, underlined = True),
    lore = Lore([
        JPar(['This rare ore extracted from the dwarf ','mines of Zeldia has the ability to weaken ',"everyone except it\\'s owner when it ",'comes in contact with blood.','\\n']),
        JPar(['(Upon kill enemies get weakness 1 for 4s.)','\\n'], italic = True) ]),
    model = '2304',
    rank = 'b',
    stats = Stats([ Stat('curse', 0.5) ])
    )
confidence_facade = Passive(
    name = JTxt('Confidence Facade','blue', True, underlined = True),
    lore = Lore([
        JPar(['Bewavre of the Sin of Pride, ','it leaves you when you least expected.','\\n']),
        JPar(['(Upon entering a room get 13s ','of resistance.)','\\n'], italic = True) ]),
    model = '2305',
    rank = 'b',
    stats = Stats([ Stat('curse', 0.5) ])
    )
bloody_bandana = Passive(
    name = JTxt('Bloddy Bandana','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['An item used to enhance the ','necromancers undead armys, ','soaked from the undead blood.','\\n']) ]),
    model = '2306',
    rank = 'b',
    stats = Stats([ Stat('curse', 0.5), Stat('dmg', 1), Stat('hp', 2)])
    )

b = [seven_leaf_clover, mana_extractor_prototype, armor_nanobots, zelenium_ore, confidence_facade, bloody_bandana]

# -------- C ----------
endless_food_crate = Passive(
    name = JTxt('Endless Food Crate','green', True, underlined = True),
    lore = Lore([
        JPar(['Created by the gods to end world hunger ','ended up creating the Sin of Gluttony.','\\n']),
        JPar(['(Can always eat at full health but randomly','get food cravings. The extra saturation','makes them appear later.)','\\n'], italic = True) ]),
    model = '2401',
    rank = 'c',
    stats = Stats([ Stat('curse', 0.75) ]),
    custom_on = True,
    bought = True
    )
basics_of_mana = Passive(
    name = JTxt('Basics of Mana','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['A simple book that teaches the basics of ','spells and how to cast them efficiently.','\\n']) ]),
    model = '2402',
    rank = 'c',
    stats = Stats([ Stat('mana_cost',  -7) ])
    )
mana_condenser = Passive(
    name = JTxt('Mana Condenser','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['Amplifies your abilitis to colect mana ','from the environment arround you.','\\n']) ]),
    model = '2403',
    rank = 'c',
    stats = Stats([ Stat('mana_speed', 1) ])
    )
blood_bag = Passive(
    name = JTxt('Blood Bag','dark_red', True, underlined = True),
    lore = Lore([
        JPar(['A jucebox for vampires. ',' Probably stolen from one.','\\n']) ]),
    model = '2404',
    rank = 'c',
    stats = Stats([ Stat('hp', 4) ])
    )
fittness_weights = Passive(
    name = JTxt('Fittness Weights','gray', True, underlined = True),
    lore = Lore([
        JPar(['Used by One-One during his breaks ','this weights helps you get more muscle.','\\n']) ]),
    model = '2405',
    rank = 'c',
    stats = Stats([ Stat('dmg', 1.5) ])
    )
dragon_cape = Passive(
    name = JTxt('Dragon Cape','dark_green', True, underlined = True),
    lore = Lore([
        JPar(['This cape will protect you from fire ','as long as you can conver yourself wiht it!','\\n']),
        JPar(['(Upon max kills get fire resistance for 25s.)','\\n'], italic = True) ]),
    model = '2406',
    rank = 'c',
    bought = True
    )
spinning_stone = Passive(
    name = JTxt('Spinning Stone','gray', True, underlined = True),
    lore = Lore([
        JPar(['Invented by the air elementals. ',"But don\\'t run too fast or",'it might hit you!','\\n']),
        JPar(['(Grants a spinngin stone that ','on impact does 1 HP of DMG.)','\\n'], italic = True) ]),
    model = '2407',
    rank = 'c',
    custom_on = True,
    custom_off = True
    )
ghost_bone = Passive(
    name = JTxt('Ghost bone','gray', True, underlined = True),
    lore = Lore([
        JPar(['Shamans use it to call a spiritual dog.','\\n']),
        JPar(['(Summons a loyal dog.)','\\n'], italic = True) ]),
    model = '2408',
    rank = 'c',
    custom_on = True,
    custom_off = True,
    bought = True
    )

c = [endless_food_crate, basics_of_mana, mana_condenser, blood_bag, fittness_weights, dragon_cape, spinning_stone, ghost_bone]

# -------- D ----------
turbo_boots = Passive(
    name = JTxt('Turbo Boots','blue', True, underlined = True),
    lore = Lore([
        JPar(['Not as fast as that furry ','ball but it will have to do.','\\n']),
        JPar(['(Upon kill get speed 2 for 4s, upon ','max kills get speed 2 for 10s.)','\\n'], italic = True) ]),
    model = '2501',
    rank = 'd',
    bought = True
    )
sloth_curse = Passive(
    name = JTxt('Sloth curse','gray', True, underlined = True),
    lore = Lore([
        JPar(['See your enemies get tired ','under the curse of the Sloth sin.','\\n']),
        JPar(['(Upon kill, enemies get slownes 2 for 4s.)','\\n'], italic = True) ]),
    model = '2502',
    rank = 'd',
    bought = True
    )
horse_shoe = Passive(
    name = JTxt('Horse Shoe','gray', True, underlined = True),
    lore = Lore([
        JPar(["If it doesn\\'t give you luck, ",'you can always use it as a weapon ','and throw it.','\\n']) ]),
    model = '2503',
    rank = 'd',
    stats = Stats([ Stat('luck', 25) ]),
    bought = True
    )
mana_bottle = Passive(
    name = JTxt('Mana Bottle','dark_aqua', True, underlined = True),
    lore = Lore([
        JPar(['Handy way to carry more mana.','\\n']) ]),
    model = '2504',
    rank = 'd',
    stats = Stats([ Stat('mana_capacity', 10) ]),
    bought = True
    )
lunch_box = Passive(
    name = JTxt('Lunch Box','blue', True, underlined = True),
    lore = Lore([
        JPar(['An important meal of ','the day to be healthy.','\\n']) ]),
    model = '2505',
    rank = 'd',
    stats = Stats([ Stat('hp', 2) ]),
    bought = True
    )
the_art_of_the_sword = Passive(
    name = JTxt('The Art of the Sword','gray', True, underlined = True),
    lore = Lore([
        JPar(['Beginners book used in the Zeldia Knight Academy.','\\n']) ]),
    model = '2506',
    rank = 'd',
    stats = Stats([ Stat('dmg', 0.5) ]),
    bought = True
    )

d = [turbo_boots, sloth_curse, horse_shoe, mana_bottle, lunch_box, the_art_of_the_sword]

passives = s + a + b + c + d
